	
C----------------------------------------------------------------------C
C                                                                      C
C   Global variables common to Metropolis and Swendsen-Wang programs.  C
C                                                                      C
C----------------------------------------------------------------------C
	
      IMPLICIT NONE

      INTEGER MAX_SIDE, MAX_SITES
      PARAMETER ( MAX_SIDE  = 64 )
      PARAMETER ( MAX_SITES = MAX_SIDE * MAX_SIDE )

      INTEGER spin(MAX_SIDE,MAX_SIDE)
      INTEGER pos(MAX_SIDE), neg(MAX_SIDE)
      INTEGER side, sites, accept
      REAL volume, beta
      REAL*8  sum_energy, sum_enersq, sum_spins, sum_spinsq, sum_accept
      REAL*8  bin_energy, bin_enersq, bin_spins, bin_spinsq
      REAL*8  avbin_spheat, avbin_spheatsq, avbin_susp, avbin_suspsq
      REAL*8  avbin_enersq, avbin_spinsq
      INTEGER therm_sweeps, sweeps, bin_size, num_bins, 
     &        measurements, ibin

      COMMON /spins/ spin
      COMMON /latt/   pos,neg,side,sites,volume
      COMMON /params/ beta, therm_sweeps, sweeps, bin_size, num_bins, 
     &                measurements, ibin
      COMMON /accpt/  sum_accept, accept
      COMMON /sums/   sum_energy, sum_enersq, sum_spins, sum_spinsq
      COMMON /bins/   bin_energy, bin_enersq, bin_spins, bin_spinsq
      COMMON /avgs/   avbin_spheat, avbin_spheatsq, avbin_susp, 
     &                avbin_suspsq
      COMMON /avsq/   avbin_enersq, avbin_spinsq


